Skip to main content
GET
Get a single source

Authorizations

api_key
string
query
required

Your OpenAlex API key. Get a free key at https://openalex.org/settings/api

Path Parameters

id
string
required

OpenAlex ID (e.g., S1983995261) or ISSN

Query Parameters

select
string

Comma-separated list of fields to return. Reduces response size. Example: select=id,display_name,cited_by_count

api_key
string
required

Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api

Response

Successful response

A journal, repository, or other venue for scholarly works

id
string

The OpenAlex ID for this source.

Example:

"https://openalex.org/S1983995261"

issn_l
string | null

The ISSN-L (linking ISSN) for this source. This is the Canonical External ID for sources.

issn
string[] | null

All ISSNs used by this source. Many publications have multiple ISSNs.

display_name
string

The name of the source.

type
enum<string>

The type of source: journal, repository, conference, ebook platform, book series, metadata, or other.

Available options:
journal,
repository,
conference,
ebook platform,
book series
host_organization
string | null

The host organization as an OpenAlex ID. This will be an Institution ID if the source is a repository, or a Publisher ID if it's a journal/conference.

host_organization_name
string | null

The display_name of the host organization.

host_organization_lineage
string[]

OpenAlex IDs of parent publishers (only for publisher-hosted sources).

is_oa
boolean

Whether this is currently a fully open-access source.

is_in_doaj
boolean

Whether this journal is listed in the Directory of Open Access Journals.

works_count
integer

The number of works this source hosts.

cited_by_count
integer

Total citations to works hosted in this source.

summary_stats
object

Citation metrics:

apc_usd
integer | null

The source's article processing charge in USD.

homepage_url
string | null

The homepage URL for this source.

ids
object

External identifiers:

counts_by_year
object[]

works_count and cited_by_count for each of the last ten years.

works_api_url
string

A URL that will get you a list of all this source's works.

created_date
string<date>

When this source was added to OpenAlex (ISO 8601 date).

updated_date
string<date-time>

When this source was last updated (ISO 8601 datetime).